Upgrade Elasticsearch to Elasticsearch 5

Bug #1694171 reported by Kristina Hoeppner on 2017-05-28
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon

Bug Description

Upgrade to latest version of Elasticsearch

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/7902

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/7913

Reviewed: https://reviews.mahara.org/7913
Committed: https://git.mahara.org/mahara/mahara/commit/1bbc75e1f34de2b5152a03ea6705850c91e6a2ba
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 1bbc75e1f34de2b5152a03ea6705850c91e6a2ba
Author: Robert Lyon <email address hidden>
Date: Thu Aug 3 14:05:57 2017 +1200

Bug 1694171: Fixing up outstanding issues for v5.0

This patch will sit above Geralds one to sort out last minute things
including:

- upgrade compatibility
-- Will need to compare current elasticsearch version with compatible
version and alert about problems
-- Will allow one to set the shards/replicas as part of config
-- alert the cluster health (non green) status and unallocated replica
shards

- Allow empty search query to return all related results
- Allow collections to record / search on collection tags
- Index group access correctly
- Get correct results to display for each tab rather than all results
bunched together
- Allow highlight on description field

- Add a basic behat test
- removed the built in docs/ and tests/ dirs as well as the phpunit
test files

Change-Id: I09b4eaf502a8400499debde2ff1d2a5316f20fbf
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7902
Committed: https://git.mahara.org/mahara/mahara/commit/ffc0c3ee6f7821df971937dcfaacfe3368451c98
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit ffc0c3ee6f7821df971937dcfaacfe3368451c98
Author: Gerald Quimpo <email address hidden>
Date: Fri Jul 28 11:36:54 2017 +1200

Bug 1694171: manually merge low level elasticsearch code from Yulia Bozhko's
"Bug 1694171: Elasticsearch rewrite" Totara commit.

Minimal merge only since the Totara patch does much that we don't
need or want (e.g., ES becomes the only search engine).

Remove elastica

TODO: remove this TODO when faceted search is fixed, either in
this commit or a follow-on.

Change-Id: I1a6b589900eb689e488c21d36f40729b541f1d19
Signed-off-by: Gerald Quimpo <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7809
Committed: https://git.mahara.org/mahara/mahara/commit/02e1e9f806422a33ab1c0f5192380621a31dce7d
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 02e1e9f806422a33ab1c0f5192380621a31dce7d
Author: Fergus Whyte <email address hidden>
Date: Fri Jun 2 16:35:13 2017 +1200

Bug 1694171: Added Elastic search library

from https://github.com/elastic/elasticsearch-php

and removed the docs / phpunit tests

behatnotneeded

Change-Id: I483f7625677e2bde74847877fcae89c5c752fddb

Robert Lyon (robertl-9) on 2017-09-09
Changed in mahara:
status: In Progress → Fix Committed

Reviewed: https://reviews.mahara.org/8092
Committed: https://git.mahara.org/mahara/mahara/commit/fc8036dac01bfe9717bd8ee271afdc1d8c49c280
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit fc8036dac01bfe9717bd8ee271afdc1d8c49c280
Author: Cecilia Vela Gurovic <email address hidden>
Date: Thu Oct 5 11:20:18 2017 +1300

Bug 1720269: old_raw patches for bugs: (elasticsearch)

Bug 1714100
Bug 1694171

behatnotneeded

Change-Id: I21062124b6e1c260f1b17691d22da7af00c74716

Reviewed: https://reviews.mahara.org/8102
Committed: https://git.mahara.org/mahara/mahara/commit/538c9d386f06c70ea26a851eb0ddc39d69dd492d
Submitter: Robert Lyon (<email address hidden>)
Branch: 17.10_STABLE

commit 538c9d386f06c70ea26a851eb0ddc39d69dd492d
Author: Cecilia Vela Gurovic <email address hidden>
Date: Thu Oct 5 11:20:18 2017 +1300

Bug 1720269: old_raw patches for bugs: (elasticsearch)

Bug 1714100
Bug 1694171

behatnotneeded

Change-Id: I21062124b6e1c260f1b17691d22da7af00c74716
(cherry picked from commit fc8036dac01bfe9717bd8ee271afdc1d8c49c280)

tags: added: nominatedfeature
Robert Lyon (robertl-9) on 2017-10-30
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints